Bug 194079 - Update net/chrony to 1.31
Summary: Update net/chrony to 1.31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-01 20:40 UTC by Kevin Thompson
Modified: 2014-11-01 16:18 UTC (History)
3 users (show)

See Also:
antiduh: maintainer-feedback? (masaki)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Thompson 2014-10-01 20:40:53 UTC
http://chrony.tuxfamily.org/News.html

Chrony 1.31 was released 10-Sept-2014. The port should be updated to build the new version.

Index: Makefile
===================================================================
--- Makefile    (revision 369651)
+++ Makefile    (working copy)
@@ -2,7 +2,7 @@
 # $FreeBSD$

 PORTNAME=      chrony
-PORTVERSION=   1.29.1
+PORTVERSION=   1.31
 CATEGORIES=    net
 MASTER_SITES=  http://download.tuxfamily.org/chrony/

Index: distinfo
===================================================================
--- distinfo    (revision 369651)
+++ distinfo    (working copy)
@@ -1,2 +1,2 @@
-SHA256 (chrony-1.29.1.tar.gz) = 658c9bb4d8c8d8ec7d0908429aa266e5f8413ba86bd4acbfd2f9669f6065af27
-SIZE (chrony-1.29.1.tar.gz) = 392889
+SHA256 (chrony-1.31.tar.gz) = a35e1cae46ecbe14af2023bb47a72a03d79591b2ff65f0072b3400153224996d
+SIZE (chrony-1.31.tar.gz) = 395742
Comment 1 Bugzilla Automation freebsd_committer 2014-10-01 20:40:53 UTC
Maintainer CC'd
Comment 2 John Marino freebsd_committer 2014-10-31 17:59:37 UTC
Kevin, I'm feeling generous because your patch really needs to be an attachment and not embedded in a comment.  However, it's pretty easy to recreate so I'll move it to patch ready because this PR timed out a couple of weeks ago (no maintainer approval necessary)
Comment 3 Guido Falsi freebsd_committer 2014-11-01 16:18:20 UTC
Committed, with some changes.

Thanks!
Comment 4 commit-hook freebsd_committer 2014-11-01 16:18:39 UTC
A commit references this bug:

Author: madpilot
Date: Sat Nov  1 16:17:50 UTC 2014
New revision: 372019
URL: https://svnweb.freebsd.org/changeset/ports/372019

Log:
  - Update to 1.31 [1]

  While here:

  - Add makeinfo and readline uses
  - Fix plist orphans

  PR:		194079 [1]
  Submitted by:	Kevin Thompson <antiduh at csh.rit.edu>
  Approved by:	maintainer timeout

Changes:
  head/net/chrony/Makefile
  head/net/chrony/distinfo
  head/net/chrony/pkg-plist